Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.javac
Class JavaAwareResolveVisitor

Constructor Summary
`JavaAwareResolveVisitor(CompilationUnit cu)`

Method Summary
`void` | `addError(String msg, ASTNode expr)`
`void` | `visitClassCodeContainer(Statement code)`

Constructor Detail

### JavaAwareResolveVisitor

    public JavaAwareResolveVisitor(CompilationUnit cu)

Method Detail

### addError

    void addError(String msg, ASTNode expr)

### visitClassCodeContainer

    void visitClassCodeContainer(Statement code)